For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve wallet by ID

Fetches the details of a specific wallet using its unique identifier, {id}. This endpoint returns information such as the wallet's name, balance, currency, and associated team, providing a comprehensi

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "Fetches the details of a specific wallet using its unique identifier, {id}. This endpoint returns information such as the wallet's name, balance, currency, and associated team, providing a comprehensive view of the wallet's current state."

Retrieve wallet by ID

Retrieve wallet by ID

get

Fetches the details of a specific wallet using its unique identifier, {id}. This endpoint returns information such as the wallet's name, balance, currency, and associated team, providing a comprehensive view of the wallet's current state.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Path parameters
idstringRequired

Unique identifier for the wallet.

Responses
200

The wallet object for requested id.

application/json
get/v2/wallets/{id}
GET /v2/wallets/{id} HTTP/1.1
Host: billing.<env>.citrusad.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "wallet": {
    "archived": false,
    "availableBalance": "15000.00",
    "cappedAvailableBalance": "500.00",
    "creditLimit": "50000.00",
    "currencyCode": "USD",
    "currentBalance": "20000.00",
    "dailyBudget": "1000.00",
    "externalId": "ext_789GHI",
    "id": "wallet_12345ABC",
    "name": "MainCompanyWallet",
    "namespaceId": "namespace_xyz987",
    "teamId": "team_456DEF"
  }
}